#!/bin/bash

source ../_local_collect_config.bash

echo ""

echo "****"
echo "Restoring import files back to original form"
echo "... and Initiating full rebuild"
echo "****"

echo ""
echo "Reverting 09_1_1.item back to its original form"
/bin/cp testing-files/09_1_1.item import/09/09_1_1.item

echo ""
echo "Reverting Item 10_1_1 txt and img files back to original version:"

echo "    import/10/text/10_1_1_1.txt"
/bin/cp testing-files/10_1_1_1.txt import/10/text/10_1_1_1.txt

echo "    import/10/images/10_1_1_1.gif"
/bin/cp testing-files/10_1_1_1.gif import/10/images/10_1_1_1.gif
echo ""

if [ ! -d import/23 ] ; then
    echo ""
    echo "Restoring directory import/23"
    /bin/cp -r testing-files/23 import/.
fi

if [ -d cached ] ; then
    echo ""
    echo "Removeing collection cache"
    /bin/rm -rf cached
fi

./FULL-REBUILD.sh

if [ $? = 0 ] ; then 
    echo ""
    echo "##############################################################################"
    echo "##############################################################################"
    echo "##############################################################################"
    echo ""
    
    echo ""
    echo "####"
    echo "The collection has been reset and freshly rebuilt"
    echo "####"
    
    echo ""
    echo "# Test 1:"
    echo "Access the collection's About Page in your browser through:"
    echo "    $gs_library_url/collection/$col"
    echo ""
    echo "The  page should say that it contains 7 documents"
    
    echo ""
    echo "# Test 2:"
    echo "Access the collection's Browser by Title Classifier page (CL1):"
    echo "    $gs_library_url/collection/$col/browse/CL1"
    echo ""
    echo "It should list all 7 documents"
    echo ""
    
    echo "####"
    echo ""
fi
